2

Similarly to this thread since upgrading to AUCTeX 14.0.2 there are errors when I open TeX files. This seems to be a different issue though, since the AUCTeX version is different and the toggle-debug-on-error output is also different

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  TeX-auto-parse()
  run-hooks(TeX-update-style-hook)
  TeX-update-style(t)
  #f(compiled-function () #<bytecode 0x157394becc15>)()
  run-hooks(find-file-hook)
  after-find-file(nil t)
  find-file-noselect-1(#<buffer some_file.tex> "~/directory_to_the_tex_file..." nil nil "~/directory_to_the_tex_file..." (21495880 66307))

Things I've tried: 1) remove AUCTeX and its dependencies, 2) check if it is being shadowed by another version, 3) reinstall all packages in ~/.emacs.d/elpa/*, 4) simplify my init.el to the bare minimum (just loading AUCTeX). Nothing seems to work :'-(.

I'm using Gnu emacs 27.1.

This is really problematic, since it happens in every TeX file and when I try to compile them AUCTeX complains about the set TeX-engine as

TeX-engine-in-engine-alist: Unknown engine ‘nil’.  Valid values are: default, luatex, omega, xetex

1 Answer 1

2

My psychic debugger is not the most reliable at the best of times, but my guess is that you are using an unreleased version of Auctex from the git repository, and that it now depends on Emacs 29. Try upgrading your copy of Emacs; Emacs 27.1 is ancient. Or downgrade Auctex to whatever version was available when Emacs 27.1 was released.

4
  • Props for your psychic debugger, as it was ABSOLUTELY correct :-). It is working flawlessly in Emacs 28.1. Thank you very much!
    – Ajned
    Commented Feb 16 at 9:44
  • You’re welcome.
    – db48x
    Commented Feb 16 at 10:06
  • @db48x - AUCTeX claims to support Emacs 27.1 and higher. If it doesn't, it is an AUCTeX bug, otherwise the issue is somewhere else and probably not in the Emacs version used. Commented Feb 16 at 11:05
  • Yes, bugs sometimes creep in during development. Or they just didn’t notice the change and need to update their documentation.
    – db48x
    Commented Feb 16 at 20:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.